Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class IServeCommunicationStrategy

    java.lang.Object
      ix.iserve.ipc.IServeCommunicationStrategy

All Implemented Interfaces:
  IPC.CommunicationStrategy

Direct Known Subclasses:
  IserveCommunicationStrategy

    public class IServeCommunicationStrategy

extends java.lang.Object
implements IPC.CommunicationStrategy

A communication strategy that sends all messages via a server. An agent that uses this strategy must specify an "ipc-server" parameter.

See Also:
  `Parameters`

Constructor Summary
`IServeCommunicationStrategy()`

Method Summary
`protected void` | `do_transcript(java.lang.String line)`
`protected java.lang.Object` | `requestObject(MessageWrapper m)` Sends a request to the message server and returns the server's reply.
`void` | `sendObject(java.lang.Object destination, java.lang.Object contents)`
`void` | `setupServer(java.lang.Object destination, IPC.MessageListener listener)`
`protected void` | `transcript(java.lang.String line)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IServeCommunicationStrategy

    public IServeCommunicationStrategy()

Method Detail

### setupServer

    public void setupServer(java.lang.Object destination,
                            IPC.MessageListener listener)

  Specified by:
    `setupServer` in interface `IPC.CommunicationStrategy`

### transcript

    protected void transcript(java.lang.String line)

### do_transcript

    protected void do_transcript(java.lang.String line)

### sendObject

    public void sendObject(java.lang.Object destination,
                           java.lang.Object contents)

  Specified by:
    `sendObject` in interface `IPC.CommunicationStrategy`

### requestObject

    protected java.lang.Object requestObject(MessageWrapper m)

  Sends a request to the message server and returns the server's reply. A string reply that reports an exception is turned into an appropriate exception and then thrown, rather than being returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD